:root {
    --tab-height: 56px;
    --below-fixed-top-height: 30px;
    --below-everything-top: calc(var(--tab-height) + var(--below-fixed-top-height) + 10px);
    --bottom-line-height: 30px;
}

/* .row {
    padding-right: calc(var(--bs-gutter-x) * .25);
    padding-left: calc(var(--bs-gutter-x) * .25);
} */


.row-cols-auto > * {
    flex: 0 0 auto;
    width: auto;
  }
  
  .row-cols-1 > * {
    flex: 0 0 auto;
    width: 100%;
  }
  
  .row-cols-2 > * {
    flex: 0 0 auto;
    width: 50%;
  }
  
  .row-cols-3 > * {
    flex: 0 0 auto;
    width: 33%;
  }
  
  .row-cols-4 > * {
    flex: 0 0 auto;
    width: 25%;
  }
  
  .row-cols-5 > * {
    flex: 0 0 auto;
    width: 20%;
  }
  
  .row-cols-6 > * {
    flex: 0 0 auto;
    width: 16%;
  }
  
  .row-cols-7 > * {
    flex: 0 0 auto;
    width: 14%;
  }
  
  .row-cols-8 > * {
    flex: 0 0 auto;
    width: 12.5%;
  }
  
  .row-cols-9 > * {
    flex: 0 0 auto;
    width: 11%;
  }
  
  .row-cols-10 > * {
    flex: 0 0 auto;
    width: 10%;
  }
  
  .row-cols-11 > * {
    flex: 0 0 auto;
    width: 9%;
  }
  
  .row-cols-12 > * {
    flex: 0 0 auto;
    width: 8%;
  }
  
  .col-auto {
    flex: 0 0 auto;
    width: auto;
  }
  
  .col-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
  }
  
  .col-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }
  
  .col-3 {
    flex: 0 0 auto;
    width: 25%;
  }
  
  .col-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }
  
  .col-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }
  
  .col-6 {
    flex: 0 0 auto;
    width: 50%;
  }
  
  .col-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }
  
  .col-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }
  
  .col-9 {
    flex: 0 0 auto;
    width: 75%;
  }
  
  .col-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }
  
  .col-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }
  
  .col-12 {
    flex: 0 0 auto;
    width: 100%;
  }
    

.rowNoGutter {
    /* --bs-gutter-x: 1.5rem; */
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(-1 * var(--bs-gutter-y));
    margin-right: calc(-0.5 * var(--bs-gutter-x));
    margin-left: calc(-0.5 * var(--bs-gutter-x));
}
.rowNoGutter > * {
    flex-shrink: 0;
    width: 100%;
    max-width: 100%;
    padding-right: calc(var(--bs-gutter-x) * 0.5);
    padding-left: calc(var(--bs-gutter-x) * 0.5);
    margin-top: var(--bs-gutter-y);
}

.TabItem {
    text-align: center;
    text-wrap: nowrap;
    font-size: 1rem;
    padding-right: 1vw !important;
    padding-left: 1vw !important;
}

.tabFooter, .roundFooter, .introFooter {
    min-width: 100px;
}

.calculatorButton {
    min-width: 60px;
}

.Dealer, .Dealer:focus {
    background-color: lightyellow;
}

.noBullets {
    list-style-type: none;
}

ul.Intro {
    /* list-style: none; */
    margin-left: 0;
    padding-left: 0;
}
  
li.Intro {
    padding-left: 1em;
    text-indent: -1em;
}
  
li.Intro:before {
    content: "➛";
    font-size: calc(1.275rem + .3vw);
    padding-left:  10px;
    padding-right: 10px;
}

.calculatorTotal {
    position: absolute;
    bottom: 0;
}

.calculatorInput {
    min-height: 40px;
}


.below-fixed-top {
    position: fixed;
    left: 0px;
    right: 0px;
    overflow-y: hidden;
    overflow-x: auto;
    background-color: white;
    height: var(--below-fixed-top-height);
    width: 100%;
    top: var(--tab-height);
    z-index: 1024;
}

.below-everything {
    left: 0px;
    top: var(--below-everything-top);
    /* bottom: var(--bottom-line-height); */
    width: 100%;
    position: fixed;
    overflow-y: scroll;
}

.bottom-line {
    background-color: white;
    position: fixed;
    width: 100%;
    bottom: 0;
    /* max-height: 15vh; */
    /* height: var(--bottom-line-height); */
}

@media screen and ((max-height: 500px) or (max-width: 500px)) {
    .ShrinkableFooter {
        /* height: 0px; */
        display: none;
    }
}

.draggable {
    position: absolute;
}
  

/* #btnGameScorer {
        font-size: 22px;
}
@media screen and (min-width: 320px) {
    #btnGameScorer {
        font-size: calc(10px + 6 * ((100vw - 320px) / 720));
    }
}
@media screen and (max-width: 460px) {
    #btnGameScorer {
        display: none;
    }
}
@media screen and (max-width: 1000px) {
    #btnGameScorer {
        font-size: calc(10px + 8 * ((100vw - 100px) / 600));
    }
}
@media screen and (min-width: 1000px) {
    #btnGameScorer {
        font-size: 22px;
    }
} */

#hidden-resizer {
    z-index: -1000;
}
/* .RoundColHeader {
    font-size: 10px;
}
@media screen and (min-width: 320px) {
    .RoundColHeader {
        font-size: calc(10px + 6 * ((100vw - 320px) / 680));
    }
}
@media screen and (min-width: 1000px) {
    .RoundColHeader {
        font-size: 22px;
    }
} */

a.whitelink {
    color: white;
}

a.nostyle {
    text-decoration: inherit;
    color: inherit;
    cursor: auto;
}

.ScoreDisabled {
    background-color: #DDDDDD;
}

.bgResultsModal {
    background-color: rgba(0,0,0,.01) !important;
}

.bg-extralight {
    --bs-bg-opacity: 0.6;
    background-color: rgba(var(--bs-light-rgb),var(--bs-bg-opacity)) !important;
}

.scoreColumn {
    /* margin-left:   .25rem !important;
    margin-right:  .25rem !important; */
    padding-left:  .25rem !important;
    padding-right: .25rem !important;
}

.scoreLeftColumn {
    margin-left:  .25rem !important;
    margin-right:   0rem !important;
    padding-left:   0rem !important;
    padding-right: .5rem !important;
    overflow-wrap: break-word;
}

.scoreRow {
    margin-left:   0rem !important;
    margin-right:  0rem !important;
    padding-left:  0rem !important;
    padding-right: .25rem !important;
}